[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Themes' (#lcl)

# TThemeServices.ContentRect

Adjusts the bounding rectangle for a theme element to contain the content area only.

## Declaration

Source position: themes.pas line 490

`public function TThemeServices.ContentRect(`
`DC: HDC;`
`Details: TThemedElementDetails;`
`BoundingRect: TRect`
`):TRect; virtual;`

## Version info

Modified in version 2.2.6 for the Win32 widgetset to clear all cached theme data when the theme has been changed. Returns the modified content rectangle on success.